Name:		zeal
Version:	0.7.1
Release:	%mkrel 1
Summary:	Offline API documentation browser
License:	GPLv3+
Group:		Development/Tools
URL:		https://zealdocs.org
Source0:	https://github.com/zealdocs/zeal/releases/download/v%{version}/zeal-%{version}.tar.xz
Source1:	zeal.1
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	qttools6
BuildRequires:	cmake
BuildRequires:	cmake(ECM)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6WebChannel)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(xcb-keysyms)

Requires:	qtbase6-database-plugin-sqlite

%description
Zeal is a simple offline API documentation browser inspired by Dash
(OS X app), available for Linux and Windows.
 * Quickly search documentation using Alt+Space (or customised)
   hotkey to display Zeal from any place in your workspace.
 * Search in multiple sets of documentation at once.
 * Don't be dependent on your internet connection.
 * Integrate Zeal with Emacs, Sublime Text, or Vim. See Usage »
   Editor plugins for details.

%prep
%autosetup -p1

%build
%cmake_qt6 \
    -DBUILD_SHARED_LIBS:BOOL=OFF

%cmake_build

%install
%cmake_install

# install manpage from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.zealdocs.zeal.desktop
%{_metainfodir}/org.zealdocs.zeal.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue May 28 2024 daviddavid <daviddavid> 0.7.1-1.mga10
+ Revision: 2068504
- new version: 0.7.1

* Sat May 11 2024 daviddavid <daviddavid> 0.7.0-2.mga10
+ Revision: 2063362
- backport upstream build fix to replace deprecated qAsConst with std::as_const()

* Tue Sep 26 2023 daviddavid <daviddavid> 0.7.0-1.mga10
+ Revision: 1991002
- new version: 0.7.0
- switch to Qt6
- disable i586 and armv7 arches support due to missing qt6-qtwebengine

* Sun Mar 19 2023 daviddavid <daviddavid> 0.6.1-8.20230117.2.mga9
+ Revision: 1949731
- fix release tag to include the git date

* Fri Mar 17 2023 papoteur <papoteur> 0.6.1-8.1.mga9
+ Revision: 1949582
- update to the latest git commit
- no more use of QtWebkit

* Tue Apr 05 2022 umeabot <umeabot> 0.6.1-7.mga9
+ Revision: 1845009
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.6.1-6.mga8
+ Revision: 1660340
- Rebuild for new Qt5

* Sun Jul 19 2020 daviddavid <daviddavid> 0.6.1-5.mga8
+ Revision: 1607225
- add upstream patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 0.6.1-4.mga8
+ Revision: 1525188
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 0.6.1-3.mga7
+ Revision: 1385349
- Qt5 Rebuild

* Fri Oct 12 2018 wally <wally> 0.6.1-2.mga7
+ Revision: 1319766
- rebuild for aarch64

* Tue Oct 09 2018 daviddavid <daviddavid> 0.6.1-1.mga7
+ Revision: 1318913
- new version: 0.6.1

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302043
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1202908
- new version: 0.6.0

* Sat Dec 16 2017 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1182944
- new version: 0.5.0

* Tue Sep 05 2017 daviddavid <daviddavid> 0.4.0-1.mga7
+ Revision: 1151501
- new version: 0.4.0

* Mon Oct 10 2016 daviddavid <daviddavid> 0.3.1-1.mga6
+ Revision: 1059900
- new version: 0.3.1

* Sun Sep 25 2016 daviddavid <daviddavid> 0.3.0-1.mga6
+ Revision: 1055968
- new version: 0.3.0

* Sat Jan 16 2016 daviddavid <daviddavid> 0.2.1-1.mga6
+ Revision: 924742
- initial package zeal

